<?php get_header() ?>
<!-- BEGIN MAIN -->
<div id="main">
	<div class="block archive">
		<?php affilo_before_content();?>
		<?php if (have_posts()) : ?>
		<?php affilo_page_title(); ?>
		<?php while ( have_posts() ) : the_post() ?>
			<?php get_template_part( 'loop', 'search' ); ?>
		<?php endwhile ?>
		<?php else : ?>
			<div id="post-0" class="post noresults">
				<h2 class="entry-title"><?php _e('Nothing Found', 'affilo') ?></h2>
				<div class="entry-content">
					<p><?php _e('Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'affilo') ?></p>
				</div>
				<?php get_template_part( 'searchform' ); ?>
			</div><!-- .post -->
		<?php endif; ?>
		<?php affilo_after_content();?>
	</div>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
