<?php

include("shortcodes.php");


class Affilo_Childtheme {
	
	public $hooks = array();
	
	public function getHooks() {
		return $this->hooks;
	}
	
	static function init($class) {
		global $_affilo_subtheme_instance;
		
		if(!$_affilo_subtheme_instance) {
			//$class = get_called_class(); // not available in php 5.3 >
			$_affilo_subtheme_instance = new $class;
		}
		$_affilo_subtheme_instance->init_hooks();
		return $_affilo_subtheme_instance;
	}
	
	function init_hooks() {
		do_action(get_class($this)."_before_init_hooks");
		foreach($this->getHooks() as $hook => $callbacks) {
			do_action(get_class($this)."_before_add_hook_".$hook);
			foreach((array)$callbacks as $callback) {
				if(method_exists($this,$callback)) {
					add_action($hook, array($this, $callback));
				}
			}
			do_action(get_class($this)."_after_add_hook_".$hook);
		}
		do_action(get_class($this)."_after_init_hooks");
	}
	
}