<?php affilo_before_post();?>
<article id="entry-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
	<div class="format-icon">
		<i class="icon"></i>
		<div class="category-expand"><?php the_category(', '); ?></div>
	</div>
	<header>
		<h1 class="entry-title">
			<a href="<?php the_permalink(); ?>" title="Permalink for: <?php the_title(); ?>"><?php the_title(); ?></a>
		</h1>
	</header>
	<ul class="entry-meta clearfix">
	<?php affilo_post_header(); ?>
	</ul>
	<?php affilo_before_post_content(); ?>
	<div class="text entry-content">
		<div class="image-wrapper"><p><?php affilo_post_image(Affilo_Peak::maincolumn_image_width()); ?></p></div>
		<?php
			if ( 
				( ( is_home() || is_front_page() ) && affilo_get_option( 'home_post_content' ) == 'full' ) OR 		// If we're on the homepage and should display full content
				( ( !is_home() || !is_front_page() ) && affilo_get_option( 'archive_post_content' ) == 'full' ) ) {	// Or, If were on an archive page and should display full content
					the_content( apply_filters( "affilo_read_more", "Read &amp; Discuss &raquo;" ) ); 				// Display the full content using a filterable read-more tag when necessary
				}
			else { // Otherwise, display the excerpt with a fliterable read-more tag
				the_excerpt(); echo '<p><a href="' . get_permalink() . '" title="' . sprintf(__("Continue Reading %s", "affilo"), esc_html(get_the_title(), 1)) . '" rel="nofollow" class="more-link">' . apply_filters( "affilo_read_more", "Read &amp; Discuss &raquo;" ) . '</a></p>'; 
			}
		?>
		<div class="clear"></div>
	</div>
	<?php affilo_after_post_content(); ?>
	<?php the_tags('<div class="tags clearfix"><span>Tags:</span> ', ' ', '</div>'); ?>
	<ul class="entry-meta clearfix">
		<?php affilo_post_footer(); ?>
	</ul>
</article>	
<?php affilo_after_post();?>
	