<!DOCTYPE html>

<html <?php language_attributes(); ?>>

	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
		<meta name="generator" content="Wordpress <?php bloginfo('version'); ?>" />
		
		<title><?php affilo_title(); ?></title>
		
		<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" media="screen" />
		<link href="<?php bloginfo('pingback_url'); ?>" rel="pingback" />
		
		<!--[if lt IE 9]>
		<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/iesucks.css" type="text/css" media="screen" />
		<![endif]-->
		
		<!--[if lt IE 8]>
		<script type="text/javascript">alert('You are using an outdated browser. Please upgrade to a modern browser before viewing this site. Thank you.');</script>
		<![endif]-->
		
		<?php wp_head(); ?>
	
	</head>
	
	<body <?php body_class(); ?>>
		<div id="page">
			<?php if(affilo_header_enabled()):?>
			<div id="header">
				<div id="nav">
					<div class="container_24">
						<div class="grid_24">
							<?php affilo_before(); ?>
							<?php affilo_before_header(); ?>
							<?php affilo_header(); ?>
							<?php affilo_after_header(); ?>
						</div>
						<div class="clear"><!-- --></div>
					</div>
				</div>
				<div class="bg_wrap">
					<div class="container_24">
						<div class="grid_6 suffix_18">
							<?php affilo_seventeen_logo(); ?>
						</div>
						<div class="clear"><!-- --></div>
					</div>
				</div>
			</div>
			<!-- End of Header -->
			<?php endif;?>
		<?php affilo_before_container(); ?>