<?php
/**
 * Affilo functions and definitions
 *
 * Sets up the theme and provides includes some default scripts
 *
 * For help with Affilo, visit http://docs.affilo.com
 * For more information on hooks, actions, and filters, see http://codex.wordpress.org/Plugin_API.
 * For more information about Child Themes see http://codex.wordpress.org/Theme_Development and http://codex.wordpress.org/Child_Themes
 *
 * @package Affilo
 * @link http://www.affilo.com
 */
require_once(get_theme_root()."/affilotheme_2/includes/functions/common_theme_install.php");


//Hook to catch theme activate and direct straight to the theme options page
if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {
	add_action('admin_head','ct_option_setup');
	affilo_restructure();
	header( 'Location: '.admin_url().'admin.php?page=affilo_layout_and_theme_settings&activated=true' ) ;
}

// If this version has not had the copy child set - run the setup
if (get_option('copy_child'.AFFILO_VERSION) == 0 || affilo_needs_to_setup_theme()) {
	affilo_setup_theme();
}