<?php
/** Header Creator Bootstrap*/
include(realpath('./config.php'));
/** Load WordPress Bootstrap */
require_once($basePath . '/wp-load.php');
/** Load HeaderCreator handler functions */
require_once($basePath . $creatorPath . 'functions.php');

if (!empty($_POST)):
	/** Handle Image Post */
	$result = affilo_hc_process($_POST, $_GET, $verifyNonceAction, $verifyNonceKey);
	echo $result;
	exit;
	
else: 
	/** Render Header Creator */
	$flashVars = affilo_hc_setup($_GET, $creator, $verifyNonceAction, $verifyNonceKey);
	$flashVarsObj = json_encode((object) $flashVars);
	$flashVarsString = http_build_query($flashVars);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">	
    <head>
        <title>AffiloTheme Header Creator</title>         
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <style type="text/css" media="screen"> 
			html, body	{
				height:100%; 
			}
			body {
				margin:0; 
				padding:0; 
				overflow:auto; 
				text-align:center; 
				background-color: #ffffff; 
			}   
			#flashContent {
				display:none;
			}
        </style>
        <script type="text/javascript" src="swfobject.js"></script>
        <script type="text/javascript">
            var swfVersionStr = "10.0.0";
            var xiSwfUrlStr = "install.swf";
            var flashvars = <?php echo $flashVarsObj;?>;
            var params = {};
            params.quality = "high";
            params.bgcolor = "#ffffff";
            params.allowscriptaccess = "sameDomain";
            params.allowfullscreen = "true";
            var attributes = {};
            attributes.id = "AffiloThemeHC";
            attributes.name = "AffiloThemeHC";
            attributes.align = "middle";
            swfobject.embedSWF("creator.swf?version=<?php echo $hcVersion;?>", "flashContent", "100%", "100%", swfVersionStr, xiSwfUrlStr, flashvars, params, attributes);
			swfobject.createCSS("#flashContent", "display:block;text-align:left;");
			var ddm_launch_header_created = function(data){
				parent.launch_header_created(data);
			}
        </script>
    </head>
    <body>
        <div id="flashContent">
        	<p>
	        	To view the AffiloTheme Header Creator ensure that Adobe Flash Player version 
				10.0.0 or greater is installed. 
			</p>
			<script type="text/javascript"> 
				var pageHost = ((document.location.protocol == "https:") ? "https://" :	"http://"); 
				document.write("<a href='http://www.adobe.com/go/getflashplayer'><img src='" + pageHost + "www.adobe.com/images/shared/download_buttons/get_flash_player.gif' alt='Get Adobe Flash player' /></a>" ); 
			</script> 
        </div>
       	<noscript>
            <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="100%" height="100%" id="AffiloThemeHC">
                <param name="movie" value="creator.swf?version=<?php echo $hcVersion;?>" />
                <param name="quality" value="high" />
                <param name="bgcolor" value="#ffffff" />
                <param name="allowScriptAccess" value="sameDomain" />
                <param name="allowFullScreen" value="true" />
                <param name="FlashVars" value="<?php echo $flashVarsString;?>">
                <!--[if !IE]>-->
                <object type="application/x-shockwave-flash" data="creator.swf?version=<?php echo $hcVersion;?>" width="100%" height="100%">
                    <param name="quality" value="high" />
                    <param name="bgcolor" value="#ffffff" />
                    <param name="allowScriptAccess" value="sameDomain" />
                    <param name="allowFullScreen" value="true" />
                    <param name="FlashVars" value="<?php echo $flashVarsString;?>">
                <!--<![endif]-->
                <!--[if gte IE 6]>-->
                	<p> 
                		Either scripts and active content are not permitted to run or Adobe Flash Player version
                		10.0.0 or greater is not installed.
                	</p>
                <!--<![endif]-->
                    <a href="http://www.adobe.com/go/getflashplayer">
                        <img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash Player" />
                    </a>
                <!--[if !IE]>-->
                </object>
                <!--<![endif]-->
            </object>
	    </noscript>		
   </body>
</html>
<?php endif;?>