<?php
	class affilo_pushup_settings extends affilo_settings {
		
		public function affilo_pushup_settings() {
			$this->name = __( 'Save the Web', 'affilo');
			$this->slug = 'affilo_pushup_settings';
			$this->location = 'secondary';
			$this->priority = 'low';
			$this->options = array(
					'intro' => array(
							'type'		=> 'intro',
							'desc'		=>	sprintf( __( 'Help save the internet by letting users of older browsers know that it\'s time for an upgrade. %sSee an example &raquo;%s', 'affilo'), '<a href="http://pushuptheweb.com/" title="Push Up The Web" target="_blank">', '</a>')
						),
					'enable_pushup' => array(
							'type'		=> 'checkbox',
							'label'		=> __( 'Save the web!', 'affilo' ),
							'default'	=> 'true'
						)
				);
			parent::__construct();
		}

		public function affilo_pushup_output() {
			if ( affilo_get_option( 'enable_pushup' ) ) {
				wp_enqueue_script( 'pushup' );
				wp_enqueue_style( 'pushup' );
			}
		}
		public function hooks() {
			add_action( 'template_redirect', array($this, 'affilo_pushup_output') );
		}

	}

//	affilo_register_settings('affilo_pushup_settings');	

?>