<?php
class GetResponseSignup extends AffiloSignup {
	
	var $_url = 'getresponse.com';
	
	var $_fields = array(
		'webform_id' => array(
			'label' => 'Web Form ID',
			'desc' => 'You\'ll find your web form ID right in your GetResponse account. Go to Web Forms => Web forms list and click on the "Source" link in a selected web form. Your web form ID is the number you\'ll see right after the "?wid=" portion of the JavaScript code.',
		)
	);
	
	function _template() {
		$form = array(
			'service_url' => 'https://app.getresponse.com/add_contact_webform.html',
			'name_field' => 'name',
			'email_field' => 'email',
			'submit_field' => 'submit',
			'custom_fields' => '
				<input type="hidden" name="webform_id" value="{:list.webform_id}" />
			'
		);
		return $this->_render($this->_templateDefault(), compact('form'));
	}
}

?>