<!--<!DOCTYPE html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"<?php language_attributes(); ?>>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
		
		<title><?php affilo_title(); ?></title>
		
		<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" media="screen" />
		<link href="<?php bloginfo('pingback_url'); ?>" rel="pingback" />
		
		<!--[if IE 7]>
		<script type="text/javascript">alert('You are using an outdated browser. Please upgrade to a modern browser before viewing this site. Thank you.');</script>
		<![endif]-->
		<?php wp_head(); ?>
	</head>
	<body <?php body_class($class); ?>>
		<!-- BEGIN WRAPPER -->
		<div id="wrapper">
			<!-- BEGIN HEADER-TOP -->
			<div class="menu-top-container">
				<?php affilo_before_header(); ?>
			</div>
			<!-- END HEADER-TOP -->
			<!-- BEGIN WRAPPER-CONTENT -->
			<div id="wrapper-content">
				<?php if(affilo_header_enabled()):?>
				<!-- BEGIN HEADER -->
				<div id="header">
					<!-- BEGIN HEADER-MIDDLE -->
					<div id="header-middle">
						<?php if ( has_action( 'affilo_header' ) ) { ?>
							<?php affilo_header(); ?>
						<?php } ?>
						<?php if(get_option('pyre_header_banner')): ?>
						<div id="header-banner">
							<?php echo get_option('pyre_header_banner'); ?>
						</div>
						<?php endif; ?>
					</div>
					<!-- END HEADER-MIDDLE -->
					<!-- BEGIN WRAPPER-NAVIGATION -->
					<?php
					ob_start();
					affilo_after_header();
					$affilo_after_header = ob_get_contents();
					ob_end_clean();
					if($affilo_after_header): ?>
					<div id="wrapper-navigation">
						<div id="navigation">
							<?php echo $affilo_after_header; ?>
						</div>
					</div>
					<?php endif; ?>
					<!-- END WRAPPER-NAVIGATION -->
				</div>
				<!-- END HEADER -->
				<?php endif;?>
				<?php affilo_before_container(); ?>