<?php affilo_before_post();?>
<div id="post-<?php the_ID(); ?>" <?php post_class('block-item-big entry-content'); ?>>
	<div class="block-image"><a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><?php affilo_post_image();?></a></div>
	<h2><a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><?php the_title(); ?></a></h2>
	<span class="block-meta">
		<span class="heading-author"><?php the_author(); ?></span> 
		<span class="heading-date"><?php the_time('F j, Y'); ?></span>
		<span class="heading-comments"><?php comments_popup_link('0','1','%'); ?></span>
	</span>

		<?php
			if ( 
				( ( is_home() || is_front_page() ) && affilo_get_option( 'home_post_content' ) == 'full' ) OR 		// If we're on the homepage and should display full content
				( ( !is_home() || !is_front_page() ) && affilo_get_option( 'archive_post_content' ) == 'full' ) ) {	// Or, If were on an archive page and should display full content
					the_content( apply_filters( "affilo_read_more", "Read &amp; Discuss &raquo;" ) ); 				// Display the full content using a filterable read-more tag when necessary
				}
			else { // Otherwise, display the excerpt with a fliterable read-more tag
				the_excerpt();
				echo "<a href=\"".get_permalink()."\" title=\"".get_the_title()."\" class=\"readmore\">".apply_filters( "affilo_read_more", "Read more" )."<span class=\"block-arrows\">&raquo;</span></a>"; 
			}
		?>
	<?php //affilo_after_post_content(); ?>
	<div class="entry-footer">
		<?php //affilo_post_footer(); ?>
	</div><!-- .entry-footer -->
</div>

<?php //affilo_after_post();?>