<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta charset="<?php bloginfo('charset'); ?>">
		<meta name="viewport" content="width=device-width">
		
		<title><?php affilo_title(); ?></title>
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		
		<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" media="screen" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
		
		<!--[if lt IE 9]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<!--BEGIN WRAPPER-->
		<div id="wrapper">
			<div id="site_wrap">
				<?php if(affilo_header_enabled()):?>
				<div class="headerwrapper">
					<div class="header">
						<?php affilo_before(); ?>
						<?php affilo_before_header(); ?>
						<div class="logo">
							<?php affilo_header(); ?>
						</div>
						<div class="navline">
							<?php affilo_after_header(); ?>
						</div>
						<div class="clear"></div>
					</div>
				</div>
				<?php endif;?>