<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');


?>

<?php
if ( post_password_required() ) { ?>
	<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
<?php return; } ?>
<?php if (get_comments_number() > 0 ) { ?>
	<h4><?php comments_number('0 Responses', '1 Response', '% Response');?> to <?php the_title(); ?> </h4>

	<ol class="comment-list">
		<?php wp_list_comments('callback=glide_comment');?>
	</ol>	
<?php } ?>

<?php paginate_comments_links(); ?>

<?php
$fields =  array(
	'author' => ( $req ? '<span class="required"></span>' : '' ) .
	            '<input id="author" class="textfield formfield comment" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . ' />'.'<label for="author">' . __( 'Name' ) . '</label><div class="clear"></div> ',
	'email'  => ( $req ? '<span class="required"></span>' : '' ) .
	            '<input id="email" class="textfield formfield comment" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . ' /><label for="email">' . __( 'Email' ) . '</label><div class="clear"></div>',
	'url'    => '<input id="url" class="textfield formfield comment" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /><label for="url">' . __( 'Website' ) . '</label><div class="clear"></div>',
); ?>

<?php 
$required_text = '';
$defaults = array(
	'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
	'comment_field'        => '<textarea class="textarea formarea area-field comment" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea><div class="clear"></div>',
	'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink(  ) ) ) ) . '</p>',
	'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink(  ) ) ) ) . '</p>',
	'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
	'comment_notes_after'  => '',
	'id_form'              => 'comment-form',
	'id_submit'            => 'submit_comment_button',
	'title_reply'          => 'Leave a Reply',
	'title_reply_to'       => __( 'Leave a Comment to %s' ),
	'cancel_reply_link'    => __( ' or Cancel reply' ),
	'label_submit'         => __( 'Submit' ),
);
?>
<div id="comments">
	<div class="comment-form">
		<?php if ('open' == $post->comment_status) : ?>
			<?php comment_form($defaults); ?>
		<?php else : // comments are closed  ?>
		<h4>Comments are closed</h4>
		<?php endif; ?>
	</div>
</div>
