<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta charset="<?php bloginfo('charset'); ?>" />
	<title><?php affilo_title(); ?></title>
	<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<!-- BEGIN wp_head() -->
	<?php wp_head(); ?>
	<!-- END wp_head() -->
	<!--[if lte IE 8]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/ie78.css" type="text/css" />
	<![endif]-->
	<!--[if IE 7]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/ie7.css" type="text/css" />
	<![endif]-->
	<!--[if (gte IE 6)&(lte IE 8)]>
		<script type="text/javascript" src="<?php echo get_stylesheet_directory_uri(); ?>/js/selectivizr-min.js"></script>
	<![endif]-->
</head>

<body id="index" <?php body_class('boxed'); ?>>
	<?php if(affilo_header_enabled()):?>
	<div id="before-header">
		<?php affilo_before(); ?>
	</div>
	<header>
		<div class="header-pattern">
			<div class="header-glow">
				<?php affilo_before_header(); ?>
				<div class="clear"></div>
				<div class="header-container wrapper">
					<?php if ( has_action( 'affilo_header' ) ) { ?>
					<div id="header">
						<?php affilo_header(); ?>
					</div><!-- #header -->
					<?php } ?>
					<div class="clear"></div>
				</div>
				<?php affilo_after_header(); ?>
				<div class="page-header-text-wrapper wrapper">
					<div class="page-header-text">
						<div class="header-text-inner">
							<?php affilo_page_title(); ?>	
							<p class="page-desc"><!-- description --></p>
							<div class="clear"></div>
							<?php affilo_breadcrumb_output();?>
						</div>
					</div>
				</div>
				<div class="clear"></div>
			</div>
		</div>
		<div class="header-shadow"></div>
	</header>
	<?php endif;?>
	<div id="container_wrap" class="wrapper">
		<?php affilo_before_container(); ?>