<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<meta charset="<?php bloginfo('charset'); ?>">
		<meta name="viewport" content="width=device-width">
		
		<title><?php affilo_title(); ?></title>
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		
		<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" media="screen" />
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
		
		<!--[if lt IE 9]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
		<?php wp_head(); ?>
		<script src="<?php echo get_stylesheet_directory_uri(); ?>/js/peak.js"></script>
	</head>
	<body <?php body_class(); ?>>
		<!--BEGIN WRAPPER-->
		<div class="wrapper">
			<?php if(affilo_header_enabled()):?>
			<header id="header">
				<div id="header_inner" class="container_12 clearfix">
					<?php affilo_before(); ?>
					<?php affilo_before_header(); ?>
					<div class="grid_12">
						<?php affilo_header(); ?>
					</div>
					<?php affilo_after_header(); ?>
				</div>
			</header>
			<?php endif;?>