<?php if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) die ('Denied.'); 

if ( post_password_required() ) { echo 'This post is password protected. Enter the password to view comments.'; return; } ?>

<div id="comments">

	<h2 class="alt">Discussion &middot; <strong><?php comments_number('No Comments', 'One Comment', '% Comments'); ?></strong></h2>

	<?php if ($post->comment_status == 'open') { ?>

		<small>There <?php comments_number('are no responses', 'is one response', 'are % responses'); ?> to "<?php the_title(); ?>".</small>
		
	<?php } else { ?>

		<small>There <?php comments_number('are no responses', 'is one response', 'are % responses'); ?> to "<?php the_title(); ?>". Comments are closed for this post.</small>

	<?php } ?>
	
	<?php if (have_comments()) { ?>
	
	<div class="comment-navigation clearfix">

		<div class="left action"><?php previous_comments_link('&larr; Older Comments'); ?></div>
		<div class="right action"><?php next_comments_link('Newer Comments &rarr;'); ?></div>
	
	</div>
	
	<?php } elseif ($post->comment_status == 'open') { ?>

		<p>No one has posted a comment on this post yet. Start the discussion!</p>

	<?php } else { ?>
	
	
	<?php } ?>

<?php if (have_comments()) { ?>
	
	<ol class="commentlist">
	
		<?php wp_list_comments(array('callback' => 'seventeen_comments')); ?>
	
	</ol>
	
<?php } ?>

</div>

<?php if ($post->comment_status == 'open') { ?>

<div id="leave-comment">

	<h2>Leave a Comment</h2>

	<?php if ( get_option('comment_registration') && !$user_ID ) { ?>
	
		<p>You must be <a href="<?php echo home_url(); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
	
	<?php } else { ?>
	
	<div id="respond" class="clearfix">
	
		<form action="<?php echo home_url(); ?>/wp-comments-post.php" method="post" id="commentform">
		
			<?php comment_id_fields(); ?>
		
			<?php if ($user_ID){ ?>
			
				<p>You are currently logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> (<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Log out</a>).</p>

			<?php } else { ?>
			
				<p><input type="text" name="author" id="author" class="textfield input" value="<?php if($comment_author != '') { echo $comment_author; } else { echo 'Name (required)'; } ?>" size="40" onblur="if (this.value == ''){this.value = 'Name (required)';}" onfocus="if (this.value == 'Name (required)'){this.value = '';}" /></p>
				
				<p><input type="text" name="email" id="email" class="textfield input" value="<?php if($comment_author_email != '') { echo $comment_author_email; } else { echo 'E-mail (required, will not be published)'; } ?>" size="40" onblur="if (this.value == ''){this.value = 'E-mail (required, will not be published)';}" onfocus="if (this.value == 'E-mail (required, will not be published)'){this.value = '';}" /></p>
				
				<p><input type="text" name="url" id="url" class="textfield input" value="<?php if($comment_author_url != '') { echo $comment_author_url; } else { echo 'Website (optional)'; } ?>" size="40" onblur="if (this.value == ''){this.value = 'Website (optional)';}" onfocus="if (this.value == 'Website (optional)'){this.value = '';}" /></p>
			
			<?php } ?>
			
				<p><textarea name="comment" id="data" cols="85" rows="10" tabindex="4" class="textfield message input" ></textarea></p>
				
				<span class="submit"><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" /></span>
				<div id="cancel-comment-reply"><?php cancel_comment_reply_link() ?></div>
			
			<?php do_action('comment_form', $post->ID); ?>
		
		</form>
		
	</div>
	
</div>
	
	<?php } ?>

<?php } ?>