<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<!--<meta name="viewport" content="width=device-width">-->
	<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;">
	<meta name="viewport" content="width=100,  maximum-scale=1.0" />
	<meta charset="<?php bloginfo('charset'); ?>" />
	<title><?php affilo_title(); ?></title>
	<!-- BEGIN wp_head() -->
	<?php wp_head(); ?>
	<!-- END wp_head() -->
	<!--[if IE]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<!--[if IE]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/style-ie.css" media="screen" />
	<![endif]-->
	<!--[if IE 7]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/style-ie7.css" media="screen" />
	<![endif]-->
	<!--[if (gte IE 6)&(lte IE 8)]>
		<script type="text/javascript" src="<?php echo get_stylesheet_directory_uri(); ?>/js/selectivizr-min.js"></script>
	<![endif]-->

	<style type="text/css">

	@media only screen and (max-width : 1024px) and (min-width: 482px)
	{
		
		#footer-bottom-outer
		{
			
			min-width: 1048px !important;
			
			
		}
	}
	
	
	@media only screen and (max-width : 4096px) and (min-width: 1100px)
	{
		#footer-bottom-outer
		{
			min-width: 1100px !important;
			max-width: 4096px !important;
			
		}
		
	}
		
	
	@media only screen and (max-device-width: 481px)
	{
		
		#footer-bottom-outer
		{
			width:330%;
			z-index: -1 !important;
			position: absolute !important;
			background-repeat: repeat-x !important;
		}
	}
	
	</style>

</head>

<body <?php body_class() ?>>
<?php if(affilo_header_enabled()):?>
<?php affilo_before(); ?>
<?php endif;?>
<div id="wrap" class="hfeed">
	<?php if(affilo_header_enabled()):?>
	<?php affilo_before_header(); ?>
	
	<header>
	<?php if ( has_action( 'affilo_header' ) ) { ?>
		<div id="header">
			<?php affilo_header(); ?>
		</div>
	<?php } ?>
	</header>
	
	<?php affilo_after_header(); ?>
	<?php endif;?>
	<div id="container_wrap">
		<?php affilo_before_container(); ?>