<?php

echo "<content>\r\n";

// Depending on theme position (child theme) the path could be in two palces
$path = '../../../../uploads/';
if (!file_exists($path)) {
	$path = '../../../uploads/';
}

$backgrounds = $stocks = array();

//relative path here - from child theme folder wp-content/uploads/
filesInDir($path);

//recurssive function to find all the images in the wordpress upload folder
function filesInDir($parent_dir) {
	global $backgrounds, $stocks;

	$extensions = array ('jpg', 'jpeg', 'png', 'gif');
	$dirs = scandir($parent_dir);
	foreach($dirs as $file) {
		if (($file <> '.') && ($file <> '..') && ($file <> 'cache')) {
			if (is_dir($parent_dir . $file)) {
				filesInDir($parent_dir . $file . '/');
			} else {
				$extension = strtolower(basename(str_replace('.', '/', $file)));
				if (in_array($extension, $extensions)) {
					//dynamic link to your wordpress install upload folder
					$name = preg_replace('/^[a-z]{2,6}_/', '', substr($file, 0, -4));
					if (stripos($file, 'stock_') === 0) {
						$stocks[] = '<image source="' . substr($parent_dir,0) . $file. '" label="' . $name . '" />';
					} elseif (stripos($file, 'bg_') === 0) {
						$backgrounds[] = '<image source="' . substr($parent_dir,0) . $file. '" label="' . $name . '" />';
					}
				}
			}
		}
	}
}
echo "<stocks>\r\n";
echo implode("\r\n", $stocks);
echo "</stocks>\r\n";

echo "<backgrounds>\r\n";
echo implode("\r\n", $backgrounds);
echo "</backgrounds>\r\n";

echo "</content>";
?>
