<?php
class SignUpShortcode extends AffiloShortcode {
	
	var $_code = 'signup';
	
	var $_params = array(
		'name' => 'Signup Form',
		'description' => 'Embed a signup form that you have created within the Squeeze &amp; Signup Forms Section of AffiloTheme. NOTE: Shortcodes with specific ID\'s are listed on the main page of Squeeze &amp; Signup Forms',
		'usage' => '[signup id="1"]',
		'reference' => array(
			'id' => 'ID of the Optin form you have created.'
		)
	);
	
	function render($attr, $content = null, $code ) {
		if (isset($attr[0]) && is_numeric($attr[0])) {
			$attr['id'] = $attr[0];
			unset($attr[0]);
		}
		extract(shortcode_atts(array('id' => ''), $attr));
		if (!empty($id) && is_numeric($id)) {
			return affilo_signup_render($id);
		}
	}
}

?>