<?php
class AutoResponsePlusSignup extends AffiloSignup {
	
	var $_url = 'http://www.autoresponseplus.com';
	
	var $_fields = array(
		'form_capture' => array(
			'label' => 'AutoResponse Plus Script URL',
			'desc' => 'For example, "http://yourdomain.com/cgi-bin/arp3" - There should be no slash at the end.<br /> 
			<b>Note:</b> You can find this information under the "Setting Tab" of AutoResponse Plus, and searching for the title "URL of your AutoResponse Plus scripts directory".',
		),
		'autoresponder_id' => array(
			'label' => 'Auto Responder ID:',
			'desc' => 'This number is displayed in the far left collumn when you are viewing your list of auto responders in AutoResponse Plus'
		)
	);
	
	function _template() {
		$form = array(
			'service_url' => '{:list.form_capture}/arp3-formcapture.pl',
			'name_field' => 'full_name',
			'email_field' => 'email',
			'submit_field' => 'submit',
			'custom_fields' => '
				<input type="hidden" name="id" value="{:list.autoresponder_id}" />
				<input type="hidden" name="extra_ar" value="" />
				<input type="hidden" name="full_name_man" value="1" />
			'
		);
		return $this->_render($this->_templateDefault(), compact('form'));
	}
}

?>