<?php
class AweberSignup extends AffiloSignup {
	
	var $_url = 'http://www.aweber.com';
	
	var $_fields = array(
		'unit' => array(
			'label' => 'List Name',
			'desc' => 'Name of AWeber list you would like to use.',
		),
		'meta_web_form_id' => array(
			'label' => 'Form ID',
			'desc' => 'The \'meta_web_form_id\' from AWeber.',
			'required' => false
		),
		'meta_redirect_onlist' => array(
			'label' => 'Already Subscribed URL',
			'desc' => 'Page to send customer if they are already on the list.'
		),
		'redirect' => array(
			'label' => 'Thank You URL',
			'desc' => 'Page to send customer if after they have signed up.'
		)
	);
	
	/**
	 * Irregular capatilzation
	 * 
	 * @see AffiloSignup::title()
	 */
	function title() {
		return 'AWeber';
	}
	
	function _template() {
		$form = array(
			'service_url' => 'http://www.aweber.com/scripts/addlead.pl',
			'name_field' => 'name',
			'email_field' => 'from',
			'submit_field' => 'submit',
			'custom_fields' => '
				<input type="hidden" name="meta_web_form_id" value="{:list.meta_web_form_id}" />
				<input type="hidden" name="unit" value="{:list.unit}" />
				<input type="hidden" name="meta_redirect_onlist" value="{:list.meta_redirect_onlist}" />
				<input type="hidden" name="redirect" value="{:list.redirect}"  />
			'
		);
		return $this->_render($this->_templateDefault(), compact('form'));
	}
}

?>