var ife = (function($) {
	return function(selector) {
		if ($(selector).length > 0) {
			return true;
		}
		return false;
	}
})(jQuery);

(function($) {
$(document).ready(function(){
	//simple toggles, state not tracked or integrated with wp
	if (ife('.affilobox .hndle')) {
		$('.affilobox .hndle, .affilobox .handlediv').click(function(e){
			$(this).parent('.affilobox').find('.inside').toggle();
		});
	}

	// Collapse postboxes that should be closed
	ife('.if-js-closed') ? $('.if-js-closed').removeClass('if-js-closed').addClass('closed') : null;
	
	/*
	if (ife("select.font-unit")) {
		// Dynamically replace font-size units
		$("select.font-unit").change(function() {
			$('span.font-unit').text($(this).val());
		});
	}
	*/
	
	
	var thumbnails = ".post_thumbnail_rss, .post_thumbnail_use_attachments, .post_thumbnail_align, .post_thumbnail_hide_nophoto, .post_thumbnail_width, .post_thumbnail_height, .post_thumbnail_default_image";
	ife(thumbnails) ? $(thumbnails).hide() : null;
	
	if (ife("#affilo-enable_post_thumbnails")) {
		// Show/Hide Thumbnail options
		$("#affilo-enable_post_thumbnails").change(function(){
			
			if ( $(this).attr('checked') ) {
				$(thumbnails).slideDown(300);
				$("#affilo-post_thumbnail_hide_nophoto").change();
			} else {
				$(thumbnails).slideUp(300);
			}
			
		});
		$("#affilo-enable_post_thumbnails").change();
	}
	
	if (ife('#affilo-post_thumbnail_hide_nophoto')) {
		// Show/Hide Default Thumbnail Image option
		$("#affilo-post_thumbnail_hide_nophoto").change(function(){
			
			if ( $(this).attr('checked') ) {
				$('.post_thumbnail_default_image').slideUp(300);
			} else {
				$('.post_thumbnail_default_image').slideDown(300);
			}
			
		});
		$("#affilo-post_thumbnail_hide_nophoto").change();
	}
	
	
	if (ife("#affilo-primary_nav")) {
		// Dynamically show/hide primary extras
		
		// Show Primary Nav Social Extras, only if social is selected and primary nav isn't disabled
		var primary_social = ".primary_nav-social-extras";
		var primary = ".primary_nav-position, .primary_nav-depth, .primary_nav-extras, .primary_nav-enable-home, primary_social";
		$(primary).hide();
		
		// Show/Hide Primary nav social extras
		$("#affilo-primary_nav-extras").change(function(){
			if ( $(this).val() == 'social' && $("#affilo-primary_nav").val() != 'none' ) {
				$(primary_social).slideDown(300);
			} else {
				$(primary_social).slideUp(300);
			}
		});
		
		// Show/Hide Primary nav options
		$("#affilo-primary_nav").change(function(){
			
			if ( $(this).val() != 'none' ) {
				$(primary).slideDown(300);
			} else {
				$(primary).slideUp(300);
			}
			$("#affilo-primary_nav-extras").change(); // Trigger the social options to show/hide accordingly
			
		});
		$("#affilo-primary_nav").change();
	}
	
	if (ife('#affilo-secondary_nav')) {
		// Show/Hide Secondary nav options
		var secondary_social = ".secondary_nav-social-extras";
		var secondary = ".secondary_nav-position, .secondary_nav-depth, .secondary_nav-extras, .secondary_nav-enable-home, secondary_social";
		$(secondary).hide();
		
		// Show/Hide Primary nav social extras
		$("#affilo-secondary_nav-extras").change(function(){
			if ( $(this).val() == 'social' && $("#affilo-secondary_nav").val() != 'none' ) {
				$(secondary_social).slideDown(300);
			} else {
				$(secondary_social).slideUp(300);
			}
		});
		
		$("#affilo-secondary_nav").change(function(){
			
			if ( $(this).val() != 'none' ) {
				$(secondary).slideDown(300);
			} else {
				$(secondary).slideUp(300);
			}
			$("#affilo-secondary_nav-extras").change(); // Trigger the social options to show/hide accordingly
			
		});
		$("#affilo-secondary_nav").change();
	}
	
	// Show/Hide Footer nav options
	var footer = ".footer_nav-position, .footer_nav-depth, .footer_nav-extras, .footer_nav-enable-home";
	if (ife(footer)) {
		$(footer).hide();
		$("#affilo-footer_nav").change(function(){
			
			if ( $(this).val() != 'none' ) {
				$(footer).slideDown(300);
			} else {
				$(footer).slideUp(300);
			}
			
		});
		$("#affilo-footer_nav").change();
	}
	
	
	// Imagepicker / Uploader
	function affilo_attach_imagepicker()
	{
		//prompt on other file types rather than .ico file
		$('#affilo_options').submit(
			function()
			{
				if ($('#affilo-favicon').length != 0) {
		var ext1 = $('#affilo-favicon').val().split('.').pop().toLowerCase();
						if($('#affilo-favicon').val() !='' && $.inArray(ext1, ['ico']) == -1) {
							
							alert("File chosen for Favicon is not a valid .ico file. To ensure the Favicon displays in all browsers please upload a valid .ico file.");
							return false;
						}
				}	
			}
					   );
		//end
		
		$('.imagepickerinput').each(function(index) {
			
			
			if(!this.hasEventHander)
			{
				var instance = this; // because this function has a strange structure and the this gets overwritten
			
				// Hide the Preview link if the input value is empty, show it as soon as there is a value
				if(!$('.uploadinput', instance).val())
				{
					$('.previewlink', instance).hide();
				}
				$('.uploadinput', instance).change(function() {
					if(!$('.uploadinput', instance).val())
					{
						$('.previewlink', instance).hide();
					} else {
						$('.previewlink', instance).show();
					}
				});
				
				// Preview
				$('.previewlink', instance).click(function() {
					//$(this).colorbox({href: $('.uploadinput', instance).val(), maxWidth:"90%", maxHeight:"90%", opacity:.6,photo:true});
					var icoRegex = /\.ico$/;					
					var image_val_in_field = $('.uploadinput', instance).val();
					var test_ico = image_val_in_field.match(icoRegex);
					if (test_ico) {
						$(this).colorbox({href: image_val_in_field, width:"8%;", opacity:.6,photo: true});
					} else {
						$(this).colorbox({href: image_val_in_field, maxWidth:"90%", maxHeight:"90%", opacity:.6,photo: true});
					}
				});
				
				// Choose
				$('.chooselink', instance).click(function() {
					$(this).colorbox({iframe:true, innerWidth:"675px", innerHeight:"90%", opacity:.6});
					
					// Handle Media Library
                    window.send_to_editor = function(html) {
                        imgurl = $('img',html).attr('src');
                        if(!imgurl)
                            imgurl = html; // Credit: leoj3n
                        $('.uploadinput', instance).val(imgurl);
                        $('.previewlink', instance).show().attr('href', imgurl);
                        $.fn.colorbox.close();
			if($('.uploadresult', instance).is(".imagepickerinput.favicon .uploadresult"))
							{
								var imageRegex = /\.ico$/;
								var link_in_field = $('#affilo-favicon').val();
								var test_ico = link_in_field.match(imageRegex);
								if (!test_ico) alert("This favicon image will work in all browsers except the Internet explorer. To make it work in Internet Explorer, you need to upload/select a valid .ico image. You can create a valid .ico image here:  http://www.iconarchive.com/");
							}
			
                    }
							
				});
				
				// Upload
				var fid = 'userfile'; // used to find file like $_FILES[fid]
				new AjaxUpload($('.uploadlink', instance), {
					action: ajaxurl,
					name: fid,
					data: { action: 'affilo_action_handle_upload_ajax', _ajax_nonce: '<?php echo $NONCE; ?>', file_id: fid },
					responseType: 'json',
					onSubmit: function(file , ext){
						//if (ext && new RegExp('^(' + allowed.join('|') + ')$').test(ext)){
						if($('.uploadresult', instance).is(".imagepickerinput.favicon .uploadresult"))
						
						{
							if (ext && /^(ico)$/.test(ext)){							
							$('.uploadresult', instance).html('Uploading ' + file + '...');
						} else {
							// extension is not allowed
							$('.uploadresult', instance).html('<span class="error"><b>Error: Only ico images are allowed. If you had selected an ico image from computer and still seeing this message, then it means an ico image you had selected was not valid ico image. Please create a valid ico image from above given link.</b></span>');
							// cancel upload
							return false;				
						}
						}
						else {
						if (ext && /^(jpg|png|jpeg|gif|ico)$/.test(ext)){							
							$('.uploadresult', instance).html('Uploading ' + file + '...');
						} else {
							// extension is not allowed
							$('.uploadresult', instance).html('<span class="error">Error: Only images are allowed.</span>');
							// cancel upload
							return false;				
						}
						}
				
					},
					onComplete: function(file, response){
						if(response.error != '') {
							$('.uploadresult', instance).html(response.error); // show user the error
						} else {
							$('.uploadresult', instance).html('<a href="' + response.full + '" target="_blank" class="previewlink">' + file + '</a> has been uploaded!');
							$('.uploadinput', instance).val(response.full);
							$('.previewlink', instance).show().attr('href', response.full);
						}
					}
				});
				
				this.hasEventHander = true;
			}		
		});
	} // affilo_attach_imagepicker()
	affilo_attach_imagepicker();
	
	function affilo_validate_colorinput(input, swatch){
		var value = $(input).val().replace('#',''); // strip hash
		if(value == 'transparent')
			return true;
		if(value.length != 6) {
			if(value.length == 3)
				value = value + value;
			else if(value.length > 6)
				value = value.substring(0,5);
			else if (value.length == 0)
				value = '';
			else
				value = 'ffffff';
		}
		if (value) {
			var hex =  '#' + value; // add back hash
			$(input).val(hex);
			swatch.css('backgroundColor', hex);
			return hex;
		}
		$(input).val(value);
		return value;
	}
	
	if (ife('.colorpickerinput')) {
		// Attach the Colorpicker
		$('.colorpickerinput').each(function(index, el) {
			var input = $(el).find('input');
			var swatch = $(el).find('.colorselector span');
			input.ColorPicker({
	         	onSubmit: function(hsb, hex, rgb) {
	         		input.val("#"+hex);
	            },
	            onBeforeShow: function () {
					$(this).ColorPickerSetColor(affilo_validate_colorinput(input, swatch)); // incase they changed it by hand
	            	return false;
	            },
	            onChange: function (hsb, hex, rgb) {
	            	swatch.css({"backgroundColor":"#"+hex});
	            	input.attr("value", "#"+hex);
	            }
	          }).bind('keyup', function(){
	            $(this).ColorPickerSetColor(this.value);
	        });
			input.change(function() {
				affilo_validate_colorinput(input, swatch);
			});
			swatch.click(function(){
				input.focus();
				input.click();
			});
			if ($.trim(input.val()) != '') {
				input.val($.trim(input.val()));
				affilo_validate_colorinput(input, swatch);
			}
		});
	}
		
		
	var google_font_preview = function(font) {
		var url = 'http://www.google.com/webfonts/specimen/' + font;
		query = "?TB_iframe=true";
		tb_show('AffiloTheme Header Creator', url + query);
		$('#TB_iframeContent').width('100%');
		var tbWindow = $('#TB_window'), w, h;
		w = 680;
		h = 540;
		if ( tbWindow.size() ) {
			tbWindow.width(w).height(h);
			$('#TB_iframeContent').width(w).height(h - 27);
			tbWindow.css({'margin-left': '-' + parseInt((w / 2),10) + 'px'});
			if ( typeof document.body.style.maxWidth != 'undefined' )
				tbWindow.css({'top':'30px','margin-top':'0'});
		}
	};
	
	var init_font_selector = function(){
		var options = $('#font-stack');
		$(options).data('shown', false);
		$(options).data('input', false);
		var opts = $(options).find('input');
		opts.click(function(){
			var input = $(options).data('input');
			if (input) {
				$(input).val($(this).val());
				$(input).trigger('fontSelect');
			}
		});
		var show = function(input){
			var pos = $(input).position();
			$(options).css({
				left: pos.left,
				top: pos.top + 20
			});
			var val = $(input).val();
			if (val) {
				$(opts).attr('checked', false);
				opts.each(function(i, opt){
					if ($(opt).val() == val) {
						$(opt).attr('checked', 'checked');
					}
				});
			}
			
			
			$(options).show();
			$(options).data('shown', true);
			$(options).data('input', input);
		};
		var hide = function(){
			var opt = $(options).find('input:checked');
			if (opt.length > 0) {
				var input = $(options).data('input');
				if (input) {
					$(input).val($(opt).val());
				}
			}
			$(options).hide();
			$(options).data('shown', false);
			$(options).data('input', false);
		};
		$(options).bind({
			mouseleave: function(){
				if (!$(options).data('sticky')) {
					hide();
				}
			},
			mouseenter: function() {
				$(options).data('sticky', false);
				if (!$(options).data('shown')) {
					$(options).data('shown', true);
				}
			}
		});
		
		var googlePrevs = $(options).find('a.google-webfont-preview');
		googlePrevs.each(function(i, prev){
			$(prev).click(function(e){
				e.preventDefault();
				$(options).data('sticky', true);
				var w = 683, h = 500;
				var wx = $(window).width();
				var wy = $(window).height();
				var x = 0, y = 0;
				if (wx > w) {
					x = (wx - w) / 2;
				}
				if (wy > h) {
					y = (wy - h) / 2;
				}
				var params = "fullscreen,scrollbars,width="+w+",height="+h+",left="+x+",top="+y+",screenX="+x+",screenY="+y+"";
				window.open($(this).attr('href'), $(this).attr('rel'), params);
			});
		});
		return show;
	};
	
	
	
	if (ife('.font-select')) {
		var show = init_font_selector();
		//Font selections
		$('.font-select').each(function(index, el) {
			$(el).bind({focus: function(){show(el);}, click:  function(){show(el);}});
		});
	}
		
		
	if (ife('input[name=affilo\\[theme\\]]')) {
		$('input[name=affilo\\[theme\\]]').each(function(index, ele) {
			$(ele).next('img').click(function(e){
				$('.theme-variations').hide();
				var variations = $('#' + $(ele).attr('id') + '-variations');
				variations.show();
				if (variations.find('input:checked').length == 0) {
					var def = variations.find('input.default');
					if (def) {
						$(def).attr('checked', 'checked');
					}
				}
				
			});
		});		
		$('input[name=affilo\\[theme\\]]:checked').next('img').click();
	}
	
	if (ife('.toggle')) {
		$(".toggle").each( function() { $($(this).attr('href')).hide(); } )
			.toggle(
			function () {
				$($(this).attr('href')).slideDown(300);
			},
			function () {
				$($(this).attr('href')).slideUp(300);
			}
		);
	}	
		
	/**
	 * Launch the AffiloTheme Header Creator
	 * Opens in ThickBox, passes various setings from form to 
	 * act as default settings for the header creation.
	 * 
	 * @param string creatorUrl url path of header creator page
	 */
	launch_header_creator = function(creatorUrl){
		var availParams = {
			'affilo-logo-width' : 'ddm_page_width',	
			'affilo-logo-height' : 'ddm_header_height',
			'affilo-logo-text' : 'ddm_title',
			'affilo-blogdescription' : 'ddm_tagline'
		};
		var query = '';
		var qa = creatorUrl.indexOf("?") === -1 ? "?" : '&';
	   	for (var id in availParams) {
	   		var key = availParams[id];
	   		query += qa + key; qa = '&';
	   		if (jQuery('#'+id).length > 0) {
	   			var value = jQuery('#'+id).val();
	   			if (value) {
	   				query += '=' + escape(value);
	   			}	
	   		}
	   	}
	   	query += "&TB_iframe=true";
		tb_show('AffiloTheme Header Creator', creatorUrl + query);
		$('#TB_iframeContent').width('100%');
		var tbWindow = $('#TB_window'), w, h;
		w = 970;
		h = 540;
		if ( tbWindow.size() ) {
			tbWindow.width(w).height(h);
			$('#TB_iframeContent').width(w).height(h - 27);
			tbWindow.css({'margin-left': '-' + parseInt((w / 2),10) + 'px'});
			if ( typeof document.body.style.maxWidth != 'undefined' )
				tbWindow.css({'top':'30px','margin-top':'0'});
		}
	}

	/**
	 * Receives data from the insert into theme operation
	 * 
	 * @param object data data as returned from save operation
	 */
	launch_header_created = function(data){
		tb_remove();
		data = data.replace(/\\/, '');
		var params = JSON.parse(data);
		var availParams = {
			 'affilo-logo-image' : 'ddm_header_bg_image',
			 'affilo-logo-height' : 'ddm_header_height',
			 'affilo-logo-width' : 'ddm_header_width',
			 'affilo-logo-text' : 'ddm_title',
			 'affilo-blogdescription' : 'ddm_tagline'
		};
		var update = [];
		for (var id in availParams) {
			var key = availParams[id];
			if (params[key] != undefined) {
				var el = jQuery('#'+id);
				if (el && el.val() != params[key]) {
					el.val(params[key]);
					var label = el.prev('label');
					if (label.length == 0) {
						label = el.parent().prev('label');
					}
					var title = label.text();
					if (title.indexOf('(') > 0) {
						title = title.substr(0, title.indexOf('('));
					}
					update.push(title.replace(':', ''));
				}
			}	
		}
		var textSet = '';
		var textParams = {
		 	'affilo-logo-text' : 'ddm_title',
			'affilo-blogdescription' : 'ddm_tagline'
		};
		var textHidden = jQuery('#affilo-tagline').attr('checked');
      	var hasText = null;
      	for (var p in textParams) {
      		var key = textParams[p];
      		if (params[key] != undefined) {
      			var text = params[key].replace(/\s+/g, '');
      			var hasKeyText = text.length > 0;
      			if (hasKeyText) {
      				hasText = true;
      				break;
      			} else {
      				hasText = false;
      			}
      		}
      	}
      	if (hasText && !textHidden) {
      		textSet = '<p><br /><b>Note:</b> You added text to your header image, `Hide Header Text` has been set to `Hide`.<p>';
      		update.push('Hide Header Text');
      		jQuery('#affilo-tagline').click();
      	} else if(hasText === false && textHidden) {
      		textSet = '<p><br /><b>Note:</b> You didn\'t add any text to your header image, `Hide Header Text` has been set to `Show`.<p>';
      		update.push('Hide Header Text');
      		jQuery('#affilo-tagline-1').click();
      	}
		var updated = '<ul><li>&bull;&nbsp;<b>' + update.join('</b></li><li>&bull;&nbsp;<b>') + '</b></li></ul>'
		var alert = '<div class="error" id="HeaderCreatorMessage">'+
			'<p><strong>Header Image Saved</strong></p>'+
			'<p>The following options have been updated:<br /><br /></p>'+
			updated +
	        '<p><br /><b>You must <i>`Save Settings`</i> to make these changes permanent.</b></p>' +
	        textSet +
	        '</div>';
		
		var message = jQuery('#HeaderCreatorMessage');
		if (message) {
			message.remove();
		}
	    jQuery('#affilo-logo-intro + p').append(alert);
	}
	
	if (ife('a.hclink')) {
		$('a.hclink').each(function(i, hc){
			var creatorLink = jQuery(hc);
			creatorLink.click(function(e){
				e.preventDefault();
				launch_header_creator(creatorLink.attr('href'));
			});
		});
	}
	
	affilo_shortcode_view = function(inserter){
		
		affilo_shortcode_inserter = inserter;
		
		var width = $(window).width(), H = $(window).height(), W = ( 640 < width ) ? 640 : width;
		W = W - 80;
		H = H - 184;
		tb_show( 'AffiloTheme Shortcodes', '#TB_inline?width=' + W + '&height=' + H + '&inlineId=affilo_shortcodes_examples' );
		
		$('#TB_ajaxContent').width('100%');
		var tbWindow = $('#TB_window'), w, h;
		if ( tbWindow.size() ) {
			tbWindow.width(W).height(H);
			$('#TB_ajaxContent').width(W).height(H - 27);
			$('#TB_ajaxContent').css('padding', 0);
			tbWindow.css({'margin-left': '-' + parseInt((W / 2),10) + 'px'});
			if ( typeof document.body.style.maxWidth != 'undefined' )
				tbWindow.css({'top':'30px','margin-top':'0'});
		}
		
		//shortcode display
		if (sc_init) {
			return;
		}
		
		sc_init = true;
		
		function showFullCode(show) {
			$('#TB_ajaxContent').find('.sc_desc th, .sc_desc td').hide();
			if (typeof show == 'string') {
				$('#TB_ajaxContent').find('.' + show + ' th, .' + show + ' td').show();
			}
		}
		
		$('#TB_ajaxContent').find('a.sc_display').click(function(e){
			e.preventDefault();
			$(this).toggleClass('sc_expanded');
			if ($(this).hasClass('sc_expanded')) {
				var show = $(this).attr('data-class');
				showFullCode(show);
			} else {
				showFullCode();
			}
		});
		
		
		$('#TB_ajaxContent').find('a.sc_insert').click(function(){
			var codeEl = $(this).attr('data-code');
			var code = $('.' + codeEl).first().html();
			affilo_shortcode_insert(code);
			tb_remove();
		});
	};
	
	affilo_shortcode_insert = function(code){
		affilo_shortcode_inserter(code);
	};
	
	affilo_shortcode_inserter = function(code){};
	
	
	if (ife('#affilo-tagline')) {
		var hide = $('#affilo-tagline');
		var show = $('#affilo-tagline-1');
		var headerTextElements = $('#logo-text-wrapper, #logo-text-wrapper-1');
		var toggleHeaderText = function(){
			if (hide.attr('checked')) {
				headerTextElements.hide();
			} else {
				headerTextElements.show();
			}
		};
		$().add(hide).add(show).click(toggleHeaderText);
		toggleHeaderText();
	}
	
});
})(jQuery);

var launch_header_creator, launch_header_created, affilo_shortcode_view, affilo_shortcode_insert, affilo_shortcode_inserter, sc_init = false;

jQuery.fn.autoGrow = function(){
	return this.each(function(){
		// Variables
		var colsDefault = this.cols;
		var rowsDefault = this.rows;
		
		//Functions
		var grow = function() {
			growByRef(this);
		}
		
		var growByRef = function(obj) {
			var linesCount = 0;
			var lines = obj.value.split('\n');
			
			for (var i=lines.length-1; i>=0; --i)
			{
				linesCount += Math.floor((lines[i].length / colsDefault) + 1);
			}

			if (linesCount >= rowsDefault)
				obj.rows = linesCount;
			else
				obj.rows = rowsDefault;
		}
		
		var characterWidth = function (obj){
			var characterWidth = 0;
			var temp1 = 0;
			var temp2 = 0;
			var tempCols = obj.cols;
			
			obj.cols = 1;
			temp1 = obj.offsetWidth;
			obj.cols = 2;
			temp2 = obj.offsetWidth;
			characterWidth = temp2 - temp1;
			obj.cols = tempCols;
			
			return characterWidth;
		}
		this.style.height = "auto";
		this.style.overflow = "hidden";
		this.onkeyup = grow;
		this.onfocus = grow;
		this.onblur = grow;
		growByRef(this);
	});
};

/**
 * A simple jQuery plugin to convert labels into placeholder text.
 */
(function($) {
	$.fn.labelToPlaceholder = function(settings) {

		if ( this.length == 0 ) return this;

		settings = $.extend({
			overflow : 'hidden',
			opacity : 0.6
		}, settings);

		var $set = this.add('input,textarea',this);

		$set.each(function(){

			var $this = $(this);
			var $label = $('label[for="' + $this.attr('id') + '"]');

			if ( $label.length == 0 ) return;

			$label.css({
				position: 'absolute',
				overflow: settings.overflow,
				margin: 0,
				padding: 0,
				display: 'block',
				width: $this.width(),
				height: $this.height(),
				lineHeight: $this.height() + 'px',
				fontSize: $this.css('fontSize'),
				opacity: settings.opacity,
				'float': 'none'
			}).addClass('placeholder');

			var input_position = $this.position();
			var inner_offset = $this.innerOffset();

			$label.css({
				top: input_position.top + inner_offset.top,
				left: input_position.left + inner_offset.left
			});
			if ($this.val() != '') $label.hide();

			$this.focus(function(){
				$label.hide();
			});

			$this.blur(function(){
				if ($($this).val() == '') $label.show();
			});
		});
		return this;
	};
})(jQuery);

/**
 *  A jQuery plugin that returns the 'innerOffset' of an element. That is,
 *  the difference between the outside and the inside of a container for
 *  each of the sides (i.e. the sum of the border width and padding).
 */
(function($) {
	$.fn.innerOffset = function(){
		if (this.length == 0) return null;
		var $first = $(this.get(0));

		// TODO: Deal with IE returning text values like 'medium' for border width.

		return {
			top : parseFloat($first.css('paddingTop').replace(/px/, '')) + parseFloat($first.css('borderTopWidth').replace(/px/, '')),
			right : parseFloat($first.css('paddingRight').replace(/px/, '')) + parseFloat($first.css('borderRightWidth').replace(/px/, '')),
			bottom : parseFloat($first.css('paddingBottom').replace(/px/, '')) + parseFloat($first.css('borderBottomWidth').replace(/px/, '')),
			left : parseFloat($first.css('paddingLeft').replace(/px/, '')) + parseFloat($first.css('borderLeftWidth').replace(/px/, ''))
		}
	}
})(jQuery);
