<?php
	// Accessing the DOCUMENT_ROOT is unreliabled on many shared hosts
	// Invalid or missing values are often the result
	$root_folder = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
	// I expect this to fail, but it's in place incase we decrease the folder level of the theme
	if (!file_exists($root_folder.'/wp-load.php')) {
		$root_folder = dirname($root_folder);
	}
	require_once($root_folder.'/wp-load.php');
	require_once($root_folder.'/wp-admin/includes/admin.php');

	do_action('admin_init');
	if ( ! is_user_logged_in() )
		die('You must be logged in to access this script.');
		
	$links = array();
	$settings = affilo_redirect_settings();
	$results = $wpdb->get_results("SELECT * FROM {$settings['tableName']}", ARRAY_A);
	
	if($results) {
		foreach($results as $record) {
			$url = get_option("siteurl")."/".$settings['redirectHandle']."/".$record['keycode'];
			$links[$record['keycode']] = $url;
		}
	}
?>

(function() {
	tinymce.create('tinymce.plugins.RedirectLinks', {
		
		init : function(ed, url) {
			
		},
		
		createControl : function(n, cm) {
			if(n=='RedirectLinks'){
                var mlb = cm.createListBox('RedirectLinksList', {
                     title : 'Affiliate Links',
                     onselect : function(v) { //Option value as parameter
                     	var selection = tinyMCE.activeEditor.selection.getContent();
						var linkText = selection == '' ? 'link text...' : selection;
                     	var insert = '<a href="' + v + '" target="_blank">' + linkText + '</a>';
                       	tinyMCE.activeEditor.selection.setContent(insert);
                     }
                });
				
<?php foreach($links as $url => $title): ?>
                mlb.add('<?php echo $url;?>', '<?php echo $title;?>');
<?php endforeach;?>
				
                return mlb;
             }
             
             return null;
		},

		/**
		 * Returns information about the plugin as a name/value array.
		 * The current keys are longname, author, authorurl, infourl and version.
		 *
		 * @return {Object} Name/value array containing information about the plugin.
		 */
		getInfo : function() {
			return {
				longname : 'Shortcode selector',
				author : 'marquex',
				authorurl : 'http://marquex.es',
				infourl : 'http://marquex.es/387/adding-a-select-box-to-wordpress-tinymce-editor',
				version : "0.1"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('RedirectLinks', tinymce.plugins.RedirectLinks);
})();