<?php
header('Content-type: text/css');

$preview = '';
if (!empty($_SERVER['HTTP_REFERER'])) {
	$ref = parse_url($_SERVER['HTTP_REFERER']);
	if (!empty($ref['query'])) {
		$get = array();
		parse_str($ref['query'], $get);
		if (isset($get['stylesheet']) && isset($get['preview']) ) {
			$preview = $get['stylesheet'];
			define( 'AFFILO_PREVIEW' , $preview);
		}
	}
}

/** Load WordPress Bootstrap */
$basePath = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
require_once($basePath . '/wp-load.php');

if (!defined('AFFILO_THEME')) {
	if (strpos($preview, '/affilotheme_2')) {
		echo "@import url('./affilo.css');\n\n";
	} else {
		//default theme variation of a subtheme....
	}
} else {
	
	if (AFFILO_PREVIEW) {
		Affilo::preview();
	}
	
	if (affilo_get_current_theme() == AFFILO_THEME) {
		$themeName = AFFILO_THEME;
		echo '/* ' . AFFILO_THEME . ' */' . "\n";
		echo "@import url('./affilo.css');\n\n";
	} else {
		$themeName = affilo_get_current_theme();
		$theme = affilo_get_theme($themeName);
		$stylesheet = "{$theme['Theme Root URI']}/{$theme['Stylesheet']}/style.css";
		//echo '/* ' . AFFILO_THEME . ' / ' . $themeName . ' */' . "\n";
		//echo "@import url('$stylesheet');\n\n";
		
	}
	
	if ($variant = affilo_get_current_variation()) {
		$var = affilo_get_theme_variation($themeName, $variant['Title']);
		$stylesheet = "{$var['Theme Root URI']}/{$var['Stylesheet']}/style.css";
		echo '/* ' . AFFILO_THEME . ' / ' . $themeName . ' / ' . $var['Name'] . ' */' . "\n";
		echo "@import url('$stylesheet');\n\n";
	}
	
	echo '/* ' . AFFILO_THEME . ' / User Defined Styles */' . "\n";
	do_action('affilo_styles');
	
}
?>